#!/bin/bash
cd 1

FILENUM=`ls | grep html | sort -n | head -n 1 | cut -f 1 -d "."`
MINFILENUM=$FILENUM
MAXFILENUM=`ls | grep html | sort -nr | head -n 1 | cut -f 1 -d "."`
cd ..

STOPFILENUM=`expr $MAXFILENUM + 1`
while [ $FILENUM -lt $STOPFILENUM ] ; do
  FILE=$FILENUM.html
  TEMPFILE=TEMP_FILE.txt
  NEXTFILENUM=`expr $FILENUM + 1`
  PREVFILENUM=`expr $FILENUM - 1`
  INFILE="./1/$FILE"
  OUTFILE="./2/$FILE"
  echo "INFILE = $INFILE"
  cat ./header > $OUTFILE
  NAVI="NORMAL"
  if [ $PREVFILENUM -lt $MINFILENUM ] ; then
     NAVI="FIRST"
  fi
  if [ $NEXTFILENUM -gt $MAXFILENUM ] ; then
     NAVI="LAST"
  fi
  echo -n "<!-- NAVIGATION -->" >> $OUTFILE 
  echo "<table border=1>" >> $OUTFILE
  case "$NAVI" in
    'FIRST')
    echo -n "<tr><td>&nbsp</td><td><A HREF=\"index.html#$FILE\">index</A></td><td><A HREF=$NEXTFILENUM.html>next</A></td></tr>" >> $OUTFILE
    ;;
    'LAST')
    echo -n "<tr><td><A HREF=$PREVFILENUM.html>previous</A></td><td><A HREF=\"index.html#$FILE\">index</A></td><td>&nbsp</td></tr>" >> $OUTFILE
    ;;
    'NORMAL')
    echo -n "<tr><td><A HREF=$PREVFILENUM.html>previous</A></td><td><A HREF=\"index.html#$FILE\">index</A></td><td><A HREF=$NEXTFILENUM.html>next</A></td></tr>" >> $OUTFILE
    ;;
  esac
  echo "" >> $OUTFILE
  echo "<!-- TOPICNAVIGATION -->"  >> $OUTFILE
  echo "</TABLE>" >> $OUTFILE
  > $TEMPFILE
  BEGIN=0
  while read LINE ; do
     if [ $BEGIN -eq 0 ] ; then
        echo $LINE | grep msg-title > /dev/null
        if [ $? -eq 0 ] ; then
           BEGIN=1
           echo on
        fi
     fi
     if [ $BEGIN -eq 1 ] ; then
        echo $LINE >> $TEMPFILE
        #cat $TEMPFILE
        echo $LINE | grep msg-inline-video  > /dev/null
        if [ $? -eq 0 ] ; then
           BEGIN=0
           echo off
           cat $TEMPFILE
           echo "-----------"
        fi
     fi
  done < $INFILE
  SIZE=`wc -l $TEMPFILE | awk '{print $1}'`
  echo $SIZE
  if [ $SIZE -eq 0 ] ; then
     echo "<p>This message has been deleted. Assumingly it was spam</p>" >> $OUTFILE
  else
     cat $TEMPFILE >> $OUTFILE
  fi
  cat ./footer >> $OUTFILE
  echo "OUTFILE = $OUTFILE"
  FILENUM=`expr $FILENUM + 1`
done


